typedef double TYPE;
#include <stdio.h>
#include <strings.h>
#include <unistd.h>
#if defined(_IBMR2) || defined (AIX) || defined(hpux)
#include <fcntl.h>
#else
#include <sys/fcntl.h>
#endif

void getmtx(int n1,int n2,int n,int m,int idata,int level,float data[][n2],
          TYPE a[][m],TYPE b[],int*ierr)
{
   int i,j;

   if(level >= 1)printf("GETMTX: idata=%d\n",idata);

   if(idata==1){
      for(i=0;i<n;i++){
         a[i][0]=1.0;
         b[i]=data[i][1];
         }
      for(i=0;i<n;i++)
      for(j=1;j<m;j++)
         a[i][j]=data[i][0]*a[i][j-1];
      }

   else if(idata==2 || idata==3){
      for(i=0;i<n;i++){
         a[i][0]=1000.;
         b[i]=data[i][1];
         }
      for(i=0;i<n;i++)
      for(j=1;j<m;j++)
         a[i][j]=data[i][0]-1065.;
      }
   else if(idata>=4){
      printf(" You can do it for idata=\n",idata);
      }

   if(level>=3){
      printf(" The matrix A and the RHS b are:\n");
      for(i=0;i<n;i++){
         for(j=0;j<m;j++)
            printf(" %f",a[i][j]);
         printf("  \t%g\n",b[i]);
         }
      }

   return;
}

